package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import java.util.Date;

/**
 * Created by max on 2021/4/16.
 */
@Data
public class TradeDwTable extends BaseTable{

    private Long ticket;

    private Long login;

    private Float deposit;

    private Float withdrawal;

    private Float credit;

    private String comment;

    private Date closeTime;

    private String platform;
    /**
     * 是否PM出入金信息
     */
    private Integer isPm;
    /**
     * PM出入金类型
     * 1：deposit to
     * 2：deposit by
     * 3：withdraw from
     * 4：withdraw by
     */
    private Integer pmType;
    /**
     * PM系统编号
     */
    private Integer pmNo;

    private Long customId;

    private Long cId;

    private Long agentId;

    private String ibNo;

    private String idStamp;

    private Long salesId;

    private String salesIdStamp;

    private Long salesLeaderId;
    /**
     * 绩效规则ID
     */
    private Long salesCommissionRuleId;

    private String salesNo;
    /**
     * 出入金类型
     * 1：普通
     * 2：跟单分润
     */
    private Integer dwType;
    /**
     * T4B PAMM类型
     */
    private Integer pammType;
    /**
     * T4B PAMM系统子账户ID
     */
    private Integer pammSubNo;

    private String groupCode;

    private Long groupType;


    public static TradeDwTable getInstance(){
        TradeDwTable tradeDwTable = new TradeDwTable();
        tradeDwTable.setTicket(0L);
        tradeDwTable.setLogin(0L);
        tradeDwTable.setDeposit(0F);
        tradeDwTable.setWithdrawal(0F);
        tradeDwTable.setCredit(0F);
        tradeDwTable.setPammType(0);
        return tradeDwTable;
    }


}
